Uploaded image for project: 'Puppet Server'
  1. Puppet Server
  2. SERVER-546

Acceptance test(s) for 3.x->4.x compatibility

    XMLWordPrintable

Details

    • Task
    • Status: Closed
    • Normal
    • Resolution: Done
    • None
    • SERVER 2.1.0
    • None
    • None
    • 3
    • Server Emerald 2015-04-29, Server Emerald 2015-05-13, Server Emerald 2015-05-27

    Description

      Write Beaker acceptance tests to validate that a 3.x agent can run against a 4.x master/server.

      The test should create a Puppet manifest that will exercise as much of the HTTP API as possible during an agent run, and then validate the desired state of the system. In other words, don't validate behavior at the HTTP request/response level - that will be handled by unit/integration (non-Beaker) tests.

      auth.conf should not be tested at this level either, but instead in Clojure tests.

      Attachments

        Issue Links

          Activity

            People

              erik Erik Dasher
              nwolfe Nate Wolfe
              Erik Dasher Erik Dasher
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved:

                Zendesk Support